Subject: bug#19813: 24.4; emacs crashes on exit

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Feb 2015 22:41:15 +0200

> Date: Sun, 8 Feb 2015 15:15:03 -0500
> From: Test User <[email-masked]>
> 
> C:/Users/testuser448/.emacs. I set HOME=C:/Users/testuser448 and I have
> confirmed using Process Monitor from SysInternals that emacs finds it there
> when HOME is set, and did not find it when I renamed it. Alternative locations
> appear to be C:/ and %APPDATA%, where .emacs does not exist.
> 
> Alternatively if you give a command that will display a message I can
> put it in .emacs.
> 
> If I set HOME=<blank>, it does not make a difference.
> 
> For what it is worth, the problem does not occur on my Windows XP
> virtual machine, which never had emacs on it before. I am on Windows 8.1.

I tried this on XP, on Windows 7, and on Windows 8.1, with the same
binary you are using, and I cannot reproduce this.  There's something
specific to your machine that triggers this.  The .emacs file is
probably not the reason, it's something that Emacs does at startup
that is disabled by -Q.

What about "emacs -q" -- does that reproduce the problem?

> In my initial message, I said that if I run emacs.exe within gdb, gdb says that
> emacs exited with code 03. Do you know what that means? 

That means Emacs called 'abort'.  But it doesn't add any useful
information, since the "program stopped working" dialog tells the
same.

What does the Windows Event Viewer say about these crashes (under
"Application")?